-- 19.09.2006
-- Tablica koja ce drzati lozinke
CREATE TABLE M_POS_KONOBARI_LOZINKE
(
  ID                NUMERIC                       NOT NULL,
  ID_KONOBARA       NUMERIC                       NOT NULL,
  LOZINKA           VARCHAR2(80)                  NOT NULL,
  VERZIJA           NUMERIC                               ,
  UNOS_KORISNIK     VARCHAR2(60)                          ,
  UNOS_DATUM        DATE                                  ,
  IZMJENA_KORISNIK  VARCHAR2(60)                          ,
  IZMJENA_DATUM     DATE                                  ,
  CONSTRAINT M_POS_KONLOZ_PK PRIMARY KEY (ID)             ,
  CONSTRAINT M_POS_KONLOZ_KON_FK FOREIGN KEY (ID_KONOBARA) REFERENCES M_POS_KONOBARI (ID)
);
CREATE UNIQUE INDEX M_POS_KONLOZ_1_UK ON M_POS_KONOBARI_LOZINKE
(ID_KONOBARA, LOZINKA);

-- Kopiranje lozinki
INSERT INTO M_POS_KONOBARI_LOZINKE(ID, ID_KONOBARA, LOZINKA, VERZIJA)
SELECT HIBERNATE_SEQUENCE.NEXTVAL, ID, LOZINKA, 1 FROM M_POS_KONOBARI;
  
-- Brisanje stare kolone
ALTER TABLE M_POS_KONOBARI DROP COLUMN LOZINKA;

